std::__detail::_Scanner< _InputIterator > Class Template Reference
Base and Implementation Classes
Inheritance diagram for std::__detail::_Scanner< _InputIterator >:
[legend]

## Public Types

typedef std::iterator_traits < _IteratorT >::value_type | _CharT
typedef const std::ctype< _CharT > | _CtypeT
typedef regex_constants::syntax_option_type | _FlagT
typedef _InputIterator | _IteratorT
typedef unsigned int | _StateT
typedef std::basic_string< _CharT > | _StringT

enum

_TokenT {
_S_token_anychar, _S_token_backref, _S_token_bracket_begin, _S_token_bracket_end,
_S_token_inverse_class, _S_token_char_class_name, _S_token_closure0, _S_token_closure1,
_S_token_collelem_multi, _S_token_collelem_single, _S_token_collsymbol, _S_token_comma,
_S_token_dash, _S_token_dup_count, _S_token_eof, _S_token_equiv_class_name,
_S_token_interval_begin, _S_token_interval_end, _S_token_line_begin, _S_token_line_end,
_S_token_opt, _S_token_or, _S_token_ord_char, _S_token_quoted_char,
_S_token_subexpr_begin, _S_token_subexpr_end, _S_token_word_begin, _S_token_word_end,
_S_token_unknown
}

## Public Member Functions

| _Scanner (_IteratorT __begin, _IteratorT __end, _FlagT __flags, std::locale __loc)
void | _M_advance ()
_TokenT | _M_token () const
const _StringT & | _M_value () const

## Static Public Attributes

static constexpr _StateT | _S_state_at_start
static constexpr _StateT | _S_state_in_brace
static constexpr _StateT | _S_state_in_bracket

## Detailed Description

### template<typename _InputIterator>
class std::__detail::_Scanner< _InputIterator >

struct _Scanner. Scans an input range for regex tokens.

The _Scanner class interprets the regular expression pattern in the input range passed to its constructor as a sequence of parse tokens passed to the regular expression compiler. The sequence of tokens provided depends on the flag settings passed to the constructor: different regular expression grammars will interpret the same input pattern in syntactically different ways.

Definition at line 65 of file regex_compiler.h.

## Member Enumeration Documentation

template<typename _InputIterator>

enum std::__detail::_Scanner::_TokenT

Token types returned from the scanner.

Definition at line 75 of file regex_compiler.h.

The documentation for this class was generated from the following file:

- regex_compiler.h